Package com.sun.jna.platform.win32

# Class OaIdl.HREFTYPE

java.lang.Object
java.lang.Number
com.sun.jna.IntegerType
com.sun.jna.platform.win32.WinDef.DWORD
com.sun.jna.platform.win32.OaIdl.HREFTYPE

All Implemented Interfaces:
  `NativeMapped`, `Serializable`, `Comparable<WinDef.DWORD>`

Enclosing interface:
  OaIdl

public static class OaIdl.HREFTYPE extends WinDef.DWORD

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.WinDef.DWORD

  `SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HREFTYPE()`
  `HREFTYPE(long value)`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.platform.win32.WinDef.DWORD

  `compareTo, getHigh, getLow`

  ### Methods inherited from class com.sun.jna.IntegerType

  `compare, compare, compare, doubleValue, equals, floatValue, fromNative, hashCode, intValue, longValue, nativeType, setValue, toNative, toString`

  ### Methods inherited from class java.lang.Number

  `byteValue, shortValue`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HREFTYPE

    public HREFTYPE()

  - ### HREFTYPE

    public HREFTYPE(long value)